File::Layer Class Reference
Classes and functions used to implement this library » Field IO classes under-the-hood

`#include <Field3DFile.h>`

## Public Attributes

std::string | name
| The name of the layer (always available).
std::string | parent
| The name of the parent partition. We need this in order to open its group.

## Detailed Description

This class wraps up information about a single "Layer" in a .f3d file. A layer is a "Field" with a name. The mapping lives on the Partition object, so the layer only knows about the location of the field in the file.

Definition at line 96 of file Field3DFile.h.

## Member Data Documentation

## name

std::string File::Layer::name

The name of the layer (always available).

Definition at line 100 of file Field3DFile.h.

Referenced by Field3DInputFile::readLayer(), Field3DInputFile::readPartitionAndLayerInfo(), Field3DInputFile::readProxyLayer(), and Field3DOutputFile::writeLayer().

## parent

std::string File::Layer::parent

The name of the parent partition. We need this in order to open its group.

Definition at line 103 of file Field3DFile.h.

Referenced by Field3DInputFile::readLayer(), Field3DInputFile::readPartitionAndLayerInfo(), Field3DInputFile::readProxyLayer(), and Field3DOutputFile::writeLayer().

The documentation for this class was generated from the following file:

- export/Field3DFile.h